Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.Persistent.Base.General
Imports System.Data.SqlClient
Imports System.Configuration
Imports System.Linq
Imports System.Linq.Expressions
Public Enum eGLDocumentType
    eGLMixed = 0 ' Vegyes bizonylat
    eGLAccount = 1 ' Számla (folyószámla)
    eGLBank = 2 'Bank
    eGLCassa = 3 'Pénztár
    eGLCompensation = 4 ' Kompenzáció
    eGLRateDiff = 5 'Árfolyamnyereség-veszteség vegyes automata bizonylat
    eLateCharge = 6 'Késedelmi kamatszámla
End Enum
Public Enum eGLRowsTypeVAT
    eNettoRow = 0
    eVATRow = 1
    eRoundingRow = 2
End Enum
Public Enum eFileType
    ePDF = 0
    ePicture = 1
    eWord = 2
    eExcel = 3
End Enum
Public Enum eRTFExportFileType
    ePDF = 0
    eRTF = 1
    eWord = 2
    eWordXDoc = 3
End Enum
Public Enum eTransactionType
    ePartnerDebit = 0
    ePartnerCredit = 1
    eNormalCredit = 2
    eNormalDebit = 3
    eNotSet = 4
    eCorrectionDebitHUF = 5
    eCorrectionCreditHUF = 6
End Enum
Public Enum eCashMoveType
    eIn = 0
    eOut = 1
    eNotSet = 2
End Enum
Public Enum eCashType
    ePartner = 0
    eNormal = 1
    eCorrectionHUF = 2
End Enum
Public Enum ePartnerType
    eNotSet = -1
    ePayabels = 1 'Szállítók
    eReceivables = 0 'Vevők
End Enum
Public Enum eBankCost
    eBEN = 0
    eSHA = 1
    eOUR = 2
End Enum
Public Enum eGLRowsType
    eNormal = 0
    eOpen = 1
    eClose = 2
End Enum

